package com.ruoyi.interfaces.service;

import com.ruoyi.interfaces.core.page.Page;
import com.ruoyi.interfaces.core.page.PageParam;
import com.ruoyi.interfaces.domain.PtServiceApply;
import com.ruoyi.interfaces.domain.vo.PtServiceApplyVo;

import java.util.List;

/**
 * @author weking
 * @date 2019-4-25
 */
public interface PtServiceApplyService {

    int insert(PtServiceApply ptServiceApply);

    int updateByPrimaryKey(PtServiceApply ptServiceApply);

    int deleteByPrimaryKey(String id);

    PtServiceApplyVo get(String id);

    boolean checkAuth(String appId, String srvId);

    List<PtServiceApplyVo> convertPtServiceApply(List<PtServiceApply> applyList);

    /**
     * 服务申请 分页
     *
     * @param pageParam 筛选条件
     * @return 服务申请数据
     */
    Page listOfPage(PageParam<PtServiceApply> pageParam);

    List<PtServiceApply> list(PtServiceApply ptServiceApply);
}
